Class | Fog::Compute::Clodo::Real

In:

lib/fog/clodo/compute.rb
lib/fog/clodo/requests/compute/add_ip_address.rb
lib/fog/clodo/requests/compute/create_server.rb
lib/fog/clodo/requests/compute/delete_ip_address.rb
lib/fog/clodo/requests/compute/delete_server.rb
lib/fog/clodo/requests/compute/get_image_details.rb
lib/fog/clodo/requests/compute/get_server_details.rb
lib/fog/clodo/requests/compute/list_images.rb
lib/fog/clodo/requests/compute/list_images_detail.rb
lib/fog/clodo/requests/compute/list_servers.rb
lib/fog/clodo/requests/compute/list_servers_detail.rb
lib/fog/clodo/requests/compute/move_ip_address.rb
lib/fog/clodo/requests/compute/reboot_server.rb
lib/fog/clodo/requests/compute/rebuild_server.rb
lib/fog/clodo/requests/compute/server_action.rb
lib/fog/clodo/requests/compute/start_server.rb
lib/fog/clodo/requests/compute/stop_server.rb

Parent: | Object

### Methods

add_ip_address create_server delete_ip_address delete_server get_image_details get_server_details list_images list_images_detail list_servers list_servers_detail move_ip_address new reboot_server rebuild_server reload request server_action start_server stop_server

### Public Class methods

new(options={})

### Public Instance methods

add_ip_address(server_id)

Bye new IP-address for specified server

#### Paramaters

- server_id<~Integer> - Id of server to bye IP for

#### Returns

- response<~Excon::Response>

create_server(image_id, options = {})

Input: vps_title - VDS title to display in VDS list vps_type - VDS type (VirtualServer,ScaleServer) vps_memory - memory size in megabytes (for ScaleServer - low limit) vps_memory_max - maximum number of ScaleServer memory megabytes to scale up. vps_hdd - Virtual HDD size im gigabytes. vps_admin - support level (1 - usual&free, 2 - extended, 3 - VIP) vps_os - OS ID to install Output: id - VDS ID name - VDS title imageId - OS ID adminPass - root password

delete_ip_address(server_id, ip)

Delete IP-address from specified server

#### Paramaters

- server_id<~Integer> - Id of server to delete IP from
- ip<~String> - IP-address to delete

#### Returns

- response<~Excon::Response>

delete_server(server_id)

Delete an existing server

#### Parameters

- id<~Integer> - Id of server to delete

get_image_details(image_id)
get_server_details(server_id)

Get details about a server

#### Parameters

- server_id<~Integer> - Id of server to get details for

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
  - ‘server’<~Hash>:
    - ‘addresses’<~Hash>:
      - ‘public’<~Array> - public address strings
      - ‘private’<~Array> - private address strings
    - ‘id’<~Integer> - Id of server
    - ‘imageId’<~Integer> - Id of image used to boot server
    - ‘name<~String> - Name of server
    - ‘status’<~String> - Current server status

list_images()

List all images (IDs and names only)

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘id’<~Integer> - Id of the image
    - ‘name’<~String> - Name of the image
    - ‘status’<~String> - Status of the image
    - ‘vps_type’<~String> - VirtualServer or ScaleServer

list_images_detail()

List all images

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘os_type’<~String> - OS distribution
    - ‘os_bits’<~Integer> - OS bits
    - ‘os_hvm’<~Integer> - HVM flag
    - ‘_attr’<~Hash>:

         * 'id'<~Integer> - Id of the image
         * 'name'<~String> - Name of the image
         * 'status'<~String> - Status of the image
         * 'vps_type'<~String> - VirtualServer or ScaleServer

list_servers()

List all servers (IDs and names only)

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
  - ‘servers’<~Array>:
    - ‘id’<~String> - Id of server
    - ‘name’<~String> - Name of server
    - ‘addresses’<~Hash>:
      - ‘public’<~Array>:
        - ‘dosprotect’<~Bool> - DDoS protection enabled
        - ‘primary_ip’<~Bool> - Is a primary IP-address
        - ‘isp’<~Bool> - ISPManager license enabled
        - ‘ip’<~String> - IP-address
    - ‘imageId’<~String> - ID of OS image installed
    - ‘type’<~String> - Type (ScaleServer or Virtual Server)
    - ‘status’<~String> - Server‘s status

list_servers_detail()

List all servers details

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
  - ‘servers’<~Array>:
    - ‘id’<~Integer> - Id of server
    - ‘name<~String> - Name of server
    - ‘imageId’<~Integer> - Id of image used to boot server
    - ‘status’<~String> - Current server status
    - ‘addresses’<~Hash>:
      - ‘public’<~Array> - public address strings

move_ip_address(server_id, ip)

Move IP-address to specified server.

#### Paramaters

- server_id<~Integer> - Id of server to move IP to
- ip<~String> - IP-address to move

#### Returns

- response<~Excon::Response>

reboot_server(id, type)
rebuild_server(id, image_id, vps_isp = nil)
reload()
request(params)
server_action(id, action)
start_server(id)
stop_server(id)

[Validate]